org.omg.CosNaming.NamingContextPackage

## Class NotFound

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CosNaming.NamingContextPackage.NotFound

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class NotFound
      extends UserException

  org/omg/CosNaming/NamingContextPackage/NotFound.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/CosNaming/nameservice.idl Saturday, November 15, 2014 4:31:40 PM GMT

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NameComponent[]` | `rest_of_name`
    `NotFoundReason` | `why`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotFound()`
    `NotFound(NotFoundReason _why, NameComponent[] _rest_of_name)`
    `NotFound(String $reason, NotFoundReason _why, NameComponent[] _rest_of_name)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### why

          public NotFoundReason why

    - #### rest_of_name

          public NameComponent[] rest_of_name

  - ### Constructor Detail

    - #### NotFound

          public NotFound()

    - #### NotFound

          public NotFound(NotFoundReason _why,
                  NameComponent[] _rest_of_name)

    - #### NotFound

          public NotFound(String $reason,
                  NotFoundReason _why,
                  NameComponent[] _rest_of_name)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.